%define uim_version     1.4.0
%define chewing_version 0.3.2

Name:		uim-chewing
Summary:	Chinese input plugin for UIM
Version:	0.1.0
Release:	%mkrel 7
Group:		System/Internationalization
License:	BSD-like
URL:		http://people.freedesktop.org/~ekato/download/
Source0:	http://uim.googlecode.com/files/%{name}-%{version}.tar.gz
Requires:	uim        >= %{uim_version}
Requires:	libchewing >= %{chewing_version}
# (tv) for uim-module-manager:
BuildRequires:	uim
BuildRequires:	libuim-devel     >= %{uim_version}
BuildRequires:	libchewing-devel >= %{chewing_version}
BuildRequires:	librsvg

%description
Chinese input plugin for UIM.

%prep
%setup -qn %{name}-%{version}

%build
%configure2_5x
%make

%install
%make_install

# remove unnecessary files
rm -f %{buildroot}%{_libdir}/uim/plugin/*.{a,la}

%post
uim-module-manager --register chewing

%postun
uim-module-manager --unregister chewing

%files
%doc AUTHORS COPYING
%{_datadir}/uim/*.scm
%{_datadir}/uim/pixmaps/*.png
%{_libdir}/uim/plugin/libuim*.so


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 0.1.0-7.mga6
+ Revision: 963157
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 daviddavid <daviddavid> 0.1.0-6.mga6
+ Revision: 894148
- remove empty lang files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-5.mga5
+ Revision: 740803
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-4.mga5
+ Revision: 690032
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.0-3.mga4
+ Revision: 519861
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 385033
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 11 2011 fwang <fwang> 0.1.0-1.mga2
+ Revision: 153795
- new version 0.1.0

* Fri Mar 18 2011 tv <tv> 0.0.4.2-1.mga1
+ Revision: 73751
- imported package uim-chewing


* Sun Sep 19 2010 Funda Wang <fwang@mandriva.org> 0.0.4.2-1mdv2011.0
+ Revision: 579777
- new version 0.0.4.2

* Mon Aug 09 2010 Funda Wang <fwang@mandriva.org> 0.0.4.1-0.6699.1mdv2011.0
+ Revision: 567879
- BR rsvg
- latest trunk

  + Thierry Vignaud <tv@mandriva.org>
    - fix BuildRequires
    - rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.0.2-3.svn4429.1mdv2008.1
+ Revision: 140924
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 05 2007 Thierry Vignaud <tv@mandriva.org> 0.0.2-3.svn4429.1mdv2008.0
+ Revision: 48507
- add buildrequires on uim for uim-module-manager
- Import uim-chewing




* Sun Jan 14 2007 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.2-3.svn4429.1mdv2007.1
- latest snapshot
- (official uim-chewing-0.0.2 doesn't work with uim-1.4.0)

* Sat Dec 09 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.2-2mdv2007.1
- add post script

* Fri Dec 08 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.2-1mdv2007.1
- first spec for Mandriva
